JCAConnectionPoolStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JCAConnectionPoolStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JCAConnectionPoolStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JCAConnectionStatsImpl
              org.codehaus.activemq.management.JCAConnectionPoolStatsImpl

All Implemented Interfaces:
  JCAConnectionPoolStats, JCAConnectionStats, Resettable, Stats

public class JCAConnectionPoolStatsImpl
extends JCAConnectionStatsImpl
implements JCAConnectionPoolStats

Statistics for a JCA connection pool

Version:
  $Revision: 1.2 $

Constructor Summary
`JCAConnectionPoolStatsImpl(String connectionFactory, String managedConnectionFactory, TimeStatistic waitTime, TimeStatistic useTime, CountStatistic closeCount, CountStatistic createCount, BoundedRangeStatistic freePoolSize, BoundedRangeStatistic poolSize, RangeStatistic waitingThreadCount)`

Method Summary
`CountStatistic` | `getCloseCount()`
`CountStatistic` | `getCreateCount()`
`BoundedRangeStatistic` | `getFreePoolSize()`
`BoundedRangeStatistic` | `getPoolSize()`
`RangeStatistic` | `getWaitingThreadCount()`

Methods inherited from class org.codehaus.activemq.management.JCAConnectionStatsImpl
`getConnectionFactory, getManagedConnectionFactory, getUseTime, getWaitTime`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.JCAConnectionStats
`getConnectionFactory, getManagedConnectionFactory, getUseTime, getWaitTime`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JCAConnectionPoolStatsImpl

    public JCAConnectionPoolStatsImpl(String connectionFactory,
                                      String managedConnectionFactory,
                                      TimeStatistic waitTime,
                                      TimeStatistic useTime,
                                      CountStatistic closeCount,
                                      CountStatistic createCount,
                                      BoundedRangeStatistic freePoolSize,
                                      BoundedRangeStatistic poolSize,
                                      RangeStatistic waitingThreadCount)

Method Detail

### getCloseCount

    public CountStatistic getCloseCount()

  Specified by:
    `getCloseCount` in interface `JCAConnectionPoolStats`

### getCreateCount

    public CountStatistic getCreateCount()

  Specified by:
    `getCreateCount` in interface `JCAConnectionPoolStats`

### getFreePoolSize

    public BoundedRangeStatistic getFreePoolSize()

  Specified by:
    `getFreePoolSize` in interface `JCAConnectionPoolStats`

### getPoolSize

    public BoundedRangeStatistic getPoolSize()

  Specified by:
    `getPoolSize` in interface `JCAConnectionPoolStats`

### getWaitingThreadCount

    public RangeStatistic getWaitingThreadCount()

  Specified by:
    `getWaitingThreadCount` in interface `JCAConnectionPoolStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.